# pymatgen.symmetry.site_symmetries module

Provides analysis of site symmetries.

get_shared_symmetry_operations(struc, pointops, tol=0.1)

  Get all the point group operations shared by a pair of atomic sites in the form [[point operations of site index 1],[],…,[]]

  Parameters

    - struc – Pymatgen structure

    - pointops – list of point group operations from get_site_symmetries method

  Returns

    list of lists of shared point operations for each pair of atomic sites

get_site_symmetries(struc, precision=0.1)

  Get all the point group operations centered on each atomic site in the form [[point operations of site index 1]…[[point operations of site index N]]]

  Parameters

    - struc – Pymatgen structure

    - precision (float) – tolerance to find symmetry operaitons

  Returns

    list of lists of point operations for each atomic site